# Reference: <https://postmarketos.org/devicepkg>
# Contributor: Peter Mann <pm@xdd.sk>
pkgname="device-asus-t00f"
pkgdesc="Asus Zenfone 5"
pkgver=0.1
pkgrel=6
url="https://postmarketos.org"
license="MIT"
arch="x86"
options="!check !archcheck"
depends="postmarketos-base linux-asus-t00f mkbootimg"
makedepends="devicepkg-dev"
subpackages="$pkgname-x11"
source="
	deviceinfo
	xorg.conf
"

build() {
	devicepkg_build $startdir $pkgname
}

package() {
	install -Dm644 "$srcdir"/deviceinfo \
		"$pkgdir"/etc/deviceinfo
	devicepkg_package $startdir $pkgname
}

x11() {
	install_if="$pkgname xorg-server"
	depends="
		libinput
		xf86-input-libinput
		xf86-video-fbdev"
	install -Dm644 "$srcdir"/xorg.conf \
		"$subpkgdir"/etc/X11/xorg.conf.d/10-t00f.conf
}

sha512sums="86f148f85fabc042533e6c697dea7a83c3da2011b0e7e97cbf86f396500f003344973bbc97b61049b676889d209a3fa3e470bc3e3dd3fcc15e698e62e16a7b06  deviceinfo
2511fa519813061531757996fbbbb9eecae1a136d2e13149fd7afe04d19982c7eaa5ced8df57860bb816186f206915fcbd4a9e34fdf92b2c6efe3320a223c328  xorg.conf"
